%PRS Example CD13-3 Proportion-Integral Control of a CSTR
clear
clc
close all
tspan = [0 4]; % Range for the time of the reaction 
y0 = [0.03789;2.12;0.143;0.2265;138.53;0]; % Initial values for the dependent variables
[t y]=ode45(@ODEfun,tspan,y0);
Fa0 = 80;
Fb0 = 1000;
Fm0 = 100;
v0 = Fa0/0.923+Fb0/3.45+Fm0/1.54;
Ca0 = Fa0/v0;
q=size(y);
for i=1:q
X(i,1) = (Ca0-y(i,1))/Ca0;
end
plot(y(:,5),X(:,1));
 ylabel('Conversion')
 xlabel('Temperature(F)')
 legend('Conversion-temperature phase trajectory')
 


